LibreOffice: TableBorder Struct Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
TableBorder Struct Referencepublished

contains the style settings of the border lines of all cells in a cell range. More...

`import"TableBorder.idl";`

## Public Attributes
com::sun::star::table::BorderLine | TopLine
| determines the line style at the top edge. More...
boolean | IsTopLineValid
| specifies whether the value of TableBorder::TopLine is used. More...
com::sun::star::table::BorderLine | BottomLine
| determines the line style at the bottom edge. More...
boolean | IsBottomLineValid
| specifies whether the value of TableBorder::BottomLine is used. More...
com::sun::star::table::BorderLine | LeftLine
| determines the line style at the left edge. More...
boolean | IsLeftLineValid
| specifies whether the value of TableBorder::LeftLine is used. More...
com::sun::star::table::BorderLine | RightLine
| determines the line style at the right edge. More...
boolean | IsRightLineValid
| specifies whether the value of TableBorder::RightLine is used. More...
com::sun::star::table::BorderLine | HorizontalLine
| determines the line style of horizontal lines for the inner part of a cell range. More...
boolean | IsHorizontalLineValid
| specifies whether the value of TableBorder::HorizontalLine is used. More...
com::sun::star::table::BorderLine | VerticalLine
| determines the line style of vertical lines for the inner part of a cell range. More...
boolean | IsVerticalLineValid
| specifies whether the value of TableBorder::VerticalLine is used. More...
short | Distance
| contains the distance between the lines and other contents. More...
boolean | IsDistanceValid
| specifies whether the value of TableBorder::Distance is used. More...

## Detailed Description

contains the style settings of the border lines of all cells in a cell range.

In a queried structure, the flags in TableBorder::Is...LineValid indicate that not all lines of the boxes have the same values.

In a structure which is used for setting, these flags determine if the corresponding line should be set or if the old value should be kept.

## Member Data Documentation

com::sun::star::table::BorderLine BottomLine

determines the line style at the bottom edge.

short Distance

contains the distance between the lines and other contents.

com::sun::star::table::BorderLine HorizontalLine

determines the line style of horizontal lines for the inner part of a cell range.

boolean IsBottomLineValid

specifies whether the value of TableBorder::BottomLine is used.

boolean IsDistanceValid

specifies whether the value of TableBorder::Distance is used.

boolean IsHorizontalLineValid

specifies whether the value of TableBorder::HorizontalLine is used.

boolean IsLeftLineValid

specifies whether the value of TableBorder::LeftLine is used.

boolean IsRightLineValid

specifies whether the value of TableBorder::RightLine is used.

boolean IsTopLineValid

specifies whether the value of TableBorder::TopLine is used.

boolean IsVerticalLineValid

specifies whether the value of TableBorder::VerticalLine is used.

com::sun::star::table::BorderLine LeftLine

determines the line style at the left edge.

com::sun::star::table::BorderLine RightLine

determines the line style at the right edge.

com::sun::star::table::BorderLine TopLine

determines the line style at the top edge.

com::sun::star::table::BorderLine VerticalLine

determines the line style of vertical lines for the inner part of a cell range.

The documentation for this struct was generated from the following file:

- com/sun/star/table/TableBorder.idl